Redmine - Defect #32121

Create a new user via REST api Users by adding Projects and roles in the same way
2019-09-23 18:53 - Emmanuel PRIZZI
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.4.6
Description

Hello,

| want to create a new user in redmine via REST API Users and add him into a project and role.

How to do that with the REST API Users ? http://www.redmine.org/projects/redmine/wiki/Rest_Users

DO i have to use memberships REST API ? => http://www.redmine.org/projects/redmine/wiki/Rest_Memberships
How to do that please ?

detail:

Find Attached the screen shot of My POST request with POSTMAN.

| have genenerated a php page with cURL and the creation is working fine but | can't add the project and roles (see attachments
5.png)

| use the API key for the the authentification (without login and passowrd visible)

The GET request (GET /users.xml) with POSTMAN, return this information (containing Projects and roles)
http://witsbue1000dit.eur.gad.schneider-electric.com:3000/redmine/users/2369.xml?include=memberships.groups

<?xml version="1.0" encoding="UTF-8"7>

<user>

<id>2369</id>

<login>SESA481984</login>
<firstname>Emmanuel</firstname>
<lastname>PRIZZ|</lastname>
<mail>emmanuel.prizzi@non.se.com</mail>
<created_on>2019-09-20T19:54:28+02:00</created_on>
<last_login_on>2019-09-23T15:46:55+02:00</last_login_on>
<aPi_KeY>XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</api_key>
<status>1</status>

<groups type="array"></groups>

<memberships type="array">

<membership>

<id>6722</id>

<project id="12" name="0OnSite Connect"/>

<roles type="array">

<role id="7" name="issues-user'/>

<role id="3" name="Manager "/>

</roles>

</membership>

</memberships>

</user>

History

#1 - 2019-09-23 19:03 - Emmanuel PRIZZI
Thanks to Serge PACCALIN for his help on the POSTMAN software and for the php script ! :-)

#2 - 2019-09-24 01:35 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Please use forums for "how to" questions. Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to request
help may be helpful for you.

#3 - 2019-09-24 11:34 - Emmanuel PRIZZI
Go MAEDA wrote:

Please use forums for "how to" questions. Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to

request help may be helpful for you.

Ok | move it to How to (Help) topic

#4 - 2019-09-24 11:35 - Emmanuel PRIZZI
tikcet move to :https://www.redmine.org/boards/2/topics/58073

#5 - 2019-09-24 14:29 - Go MAEDA

- Resolution changed from Fixed to Invalid
